#!/usr/bin/env python

from arsenal_lib import *
import httplib2
from launchpadlib.errors import HTTPError
from lpltk import LaunchpadService

from urllib2 import URLError
from launchpadlib.errors import HTTPError
import httplib2
httplib2.debuglevel = 1

lp          = LaunchpadService()
d           = lp.load_project("ubuntu")

target = d.getSourcePackage(name = "linux")
#bugtask.transitionToTarget(target = target)
#print "display_name: ", target.display_name
#print "displayname: ", target.displayname
#print "name: ", target.name
#print target.bug_reporting_guidelines


bugnum      = 259156
bug         = lp.launchpad.bugs[bugnum]

do_a = True
do_message = True
do_fb = True
do_content = False

print "%10s %s" %( bug.id, bug.title )
print "== attachments =="

try:
    for a in bug.attachments:
        print "\n\n%-15s %s" % ("title:",        a.title)

        if do_a:
            print "%-15s %s" % ("ispatch:",      a.type)
            print "%-15s %s" % ("http_etag:",    a.http_etag)
            print "%-15s %s" % ("a.url:",        a.self)

        if do_message:
            print "%-15s %s" % ("subject:",      a.message.subject.encode('utf-8'))
            print "%-15s %s" % ("owner:",        a.message.owner.display_name.encode('utf-8'))
            print "%-15s %s" % ("created:",      a.message.date_created)

        if do_fb:
            fb = a.data.open()
            print "%-15s %s" % ("modified:",     fb.last_modified)
            print "%-15s %s" % ("fb.url:",       fb.url)
            print "%-15s %s" % ("content-type:", fb.content_type)
            print "%-15s %s" % ("filename:",     fb.filename.encode('utf-8'))
            print "%-15s %s" % ("isatty:",       fb.isatty())
            print "%-15s %s" % ("len:",          fb.len)
            print "%-15s %s" % ("mode:",         fb.mode)
            print "%-15s %s" % ("pos:",          fb.pos)
            print "%-15s %s" % ("softspace:",    fb.softspace)

        if do_content:
            fb = a.data.open()
            print "%-15s %s" % ("content:",      fb.read())

except HTTPError, e:
    print "\n\nHTTPError hit:\n"
    print e.content

except:
    print "Exception hit"
    raise
